 /*
  * Khoros: $Id: dgpwl.h,v 1.3 1992/03/20 23:17:04 dkhoros Exp $
  */

 /*
  * $Log: dgpwl.h,v $
 * Revision 1.3  1992/03/20  23:17:04  dkhoros
 * VirtualPatch5
 *
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1992, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1992 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: dgpwl.h
 >>>>            Author: Jeremy Worley
 >>>> Date Last Updated: Thu Mar  5 14:20:49 1992
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _dgpwl_h_
#define _dgpwl_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    dgpwl Argument Structure
*
****************************************************************/

typedef struct _dgpwl  {

/*
 *  resulting image (Required outfile)
 */
char	*o_file;	/* resulting image FILENAME */
int	 o_flag;	/* resulting image FLAG */

/*
 *  input value file (xviff file) (Optional infile)
 */
char	*i_file;	/* input value file (xviff file) FILENAME */
int	 i_flag;	/* input value file (xviff file) FLAG */

/*
 *  trigger input (Optional infile)
 */
char	*trigger_file;	/* trigger input FILENAME */
int	 trigger_flag;	/* trigger input FLAG */

/*
 *  number of vectors (Optional integer)
 */
int	 v_int; 	/* number of vectors INT */
int	 v_flag;	/* number of vectors FLAG */

/*
 *  number of points (Optional integer)
 */
int	 n_int; 	/* number of points INT */
int	 n_flag;	/* number of points FLAG */

/*
 *  sampling frequency (Optional float)
 */
float	 s_float;	/* sampling frequency FLOAT */
int	 s_flag;   	/* sampling frequency FLAG */

/*
 *  signal minimum (Optional float)
 */
float	 l_float;	/* signal minimum FLOAT */
int	 l_flag;   	/* signal minimum FLAG */

/*
 *  signal maximum (Optional float)
 */
float	 m_float;	/* signal maximum FLOAT */
int	 m_flag;   	/* signal maximum FLAG */

/*
 *  signal period (Optional float)
 */
float	 p_float;	/* signal period FLOAT */
int	 p_flag;   	/* signal period FLAG */

/*
 *  rise time  (Optional float)
 */
float	 r_float;	/* rise time  FLOAT */
int	 r_flag;   	/* rise time  FLAG */

/*
 *  fall time  (Optional float)
 */
float	 f_float;	/* fall time  FLOAT */
int	 f_flag;   	/* fall time  FLAG */

/*
 *  pulse width  (Optional float)
 */
float	 w_float;	/* pulse width  FLOAT */
int	 w_flag;   	/* pulse width  FLAG */

/*
 *  initial delay (Optional integer)
 */
int	 b_int; 	/* initial delay INT */
int	 b_flag;	/* initial delay FLAG */

/*
 *  data processing direction (0 = down vectors, 1 = across bands) (Optional logical)
 */
int	 d_logic;	/* data processing direction (0 = down vectors, 1 = across bands) LOGIC */
int	 d_flag;  	/* data processing direction (0 = down vectors, 1 = across bands) FLAG */

/*
 * lets user choose data type of image (Optional string toggle - )
 */
char	*t_toggle;		/* lets user choose data type of image STRING TOGGLE */
int	 t_flag;		/* lets user choose data type of image FLAG */

}  dgpwl_struct;

dgpwl_struct *dgpwl;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
