 /*
  * Khoros: $Id: form_info.h,v 1.1 1991/05/10 15:59:03 khoros Exp $
  */

 /*
  * $Log: form_info.h,v $
 * Revision 1.1  1991/05/10  15:59:03  khoros
 * Initial revision
 *
  */ 

/*
 *---------------------------------------------------------------------
 *            Copyright 1990 University of New Mexico
 * 
 * Permission to copy and modify this software and its documen- 
 * tation only for internal use in your organization is hereby 
 * granted, provided that this notice is retained thereon and 
 * on all copies.  UNM makes no representations as too the sui- 
 * tability and operability of this software for any purpose. 
 * It is provided 'as is' without express or implied warranty. 
 *  
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, 
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT- 
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT- 
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER 
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS 
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER- 
 * FORMANCE OF THIS SOFTWARE. 
 *  
 * No other rights, including for example, the right to redis- 
 * tribute this software and its documentation or the right to 
 * prepare derivative works, are granted unless specifically 
 * provided in a separate license agreement. 
 * 
 *---------------------------------------------------------------------
 */

/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name:  form_info.h
 >>>>
 >>>>      Program Desc:  structure in which values extracted
 >>>>                      from the graphical user interface are stored
 >>>>
 >>>>            Author:  automatically generated by conductor
 >>>>
 >>>> Date Last Updated:  Thu Apr 25 18:47:38 1991
 >>>>
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

typedef struct {

        int color_model_val;
        int color_model_index;
        int color_model_selected;

        int histogram;
        int histogram_index;
        int histogram_selected;

        int hist_type;
        int hist_type_index;
        int hist_type_selected;

        Widget lut_workspace;
        int lut_workspace_index;

        int quit;

} lut_subform_lut;

typedef struct {

        lut_subform_lut  *lut;
        int lut_selected;
        int lut_index;
        int lut_gb_index;

}  view_lut_subform;


typedef struct {

        int color_model_val;
        int color_model_index;
        int color_model_selected;

        Widget pseudo_workspace;
        int pseudo_workspace_index;

        int quit;

} pseudo_subform_pseudo;

typedef struct {

        pseudo_subform_pseudo  *pseudo;
        int pseudo_selected;
        int pseudo_index;
        int pseudo_gb_index;

}  view_pseudo_subform;


typedef struct {

        int thresholding_val;
        int thresholding_index;
        int thresholding_selected;

        int accept;
        int accept_index;
        int accept_selected;

        int fill_pixel;
        int fill_pixel_index;
        int fill_pixel_selected;

        int invert;
        int invert_index;
        int invert_selected;

        int non_zero_pixel;
        int non_zero_pixel_index;
        int non_zero_pixel_selected;

        Widget thres_workspace;
        int thres_workspace_index;

        int quit;

} thres_subform_thres;

typedef struct {

        thres_subform_thres  *thres;
        int thres_selected;
        int thres_index;
        int thres_gb_index;

}  view_thres_subform;


typedef struct {

        char *image;
        int image_index;
        int image_selected;

        char *elev;
        int elev_index;
        int elev_selected;

        char *colormap;
        int colormap_index;
        int colormap_selected;

        char *outfile;
        int outfile_index;
        int outfile_selected;

        int quit;

} files_subform_file;

typedef struct {

        files_subform_file  *file;
        int file_selected;
        int file_index;
        int file_gb_index;

}  view_files_subform;


typedef struct {

        int views_val;
        int views_index;
        int views_selected;

        Widget persp_workspace;
        int persp_workspace_index;

        int quit;

} persp_subform_persp;

typedef struct {

        persp_subform_persp  *persp;
        int persp_selected;
        int persp_index;
        int persp_gb_index;

}  view_persp_subform;


typedef struct {

        int color_type_val;
        int color_type_index;
        int color_type_selected;

        int quit;

} colormap_subform_colormap;

typedef struct {

        colormap_subform_colormap  *colormap;
        int colormap_selected;
        int colormap_index;
        int colormap_gb_index;

}  view_colormap_subform;


typedef struct {

        int use_imagery;
        int use_imagery_index;
        int use_imagery_selected;

        int interp_imagery;
        int interp_imagery_index;
        int interp_imagery_selected;

        int proportional;
        int proportional_index;
        int proportional_selected;

        float subsample;
        int subsample_index;
        int subsample_selected;

        float height;
        int height_index;
        int height_selected;

        int plot_type_val;
        int plot_type_index;
        int plot_type_selected;

        int quit;

} plot_subform_plot;

typedef struct {

        plot_subform_plot  *plot;
        int plot_selected;
        int plot_index;
        int plot_gb_index;

}  view_plot_subform;


typedef struct { 

        int change_bands;

        int plot_workspace_index;

        Widget plot_workspace;

        view_lut_subform  *lut_subform;
        int lut_subform_selected;
        int lut_subform_index;
        int lut_subform_sfb_index;

        view_pseudo_subform  *pseudo_subform;
        int pseudo_subform_selected;
        int pseudo_subform_index;
        int pseudo_subform_sfb_index;

        view_thres_subform  *thres_subform;
        int thres_subform_selected;
        int thres_subform_index;
        int thres_subform_sfb_index;

        view_files_subform  *files_subform;
        int files_subform_selected;
        int files_subform_index;
        int files_subform_sfb_index;

        view_persp_subform  *persp_subform;
        int persp_subform_selected;
        int persp_subform_index;
        int persp_subform_sfb_index;

        view_colormap_subform  *colormap_subform;
        int colormap_subform_selected;
        int colormap_subform_index;
        int colormap_subform_sfb_index;

        view_plot_subform  *plot_subform;
        int plot_subform_selected;
        int plot_subform_index;
        int plot_subform_sfb_index;

        int quit;


 }  view; 

